Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# Polygon Class Reference

`#include <Polygon.h>`

Inheritance diagram for Polygon:

List of all members.

## Public Member Functions
| Polygon ()
virtual | ~Polygon ()
virtual int | no_vertices ()
virtual GiNaC::ex | vertex (int i)
virtual GiNaC::ex | integrate (GiNaC::ex f, Repr_format format=SUBS_PERFORMED)
virtual string | str ()
## Public Attributes
string | subscript
GiNaC::exvector | p

## Detailed Description

Definition at line 38 of file Polygon.h.

## Constructor & Destructor Documentation

Polygon::Polygon | ( |  | ) | `[inline]`

| Definition at line 43 of file Polygon.h.
    00043 {}

virtual Polygon::~Polygon | ( |  | ) | `[inline, virtual]`

| Definition at line 44 of file Polygon.h.
    00044 {}

## Member Function Documentation

virtual GiNaC::ex Polygon::integrate | ( | GiNaC::ex | f,
|  | Repr_format | format = `SUBS_PERFORMED`
| ) | `[inline, virtual]`

| Reimplemented in Line, ReferenceLine, Triangle, Tetrahedron, and ReferenceTetrahedron. Definition at line 48 of file Polygon.h. Referenced by compute_mixed_Poisson_element_matrix(), compute_nlconvdiff_element_matrix(), compute_poisson_element_matrix(), compute_Poisson_element_matrix(), and compute_Stokes_element_matrix().
    00048                                                                             {
    00049           //FIXME
    00050           cout <<"Polygon integrate not implemented "<<endl;
    00051           return GiNaC::ex(0);
    00052   }

int Polygon::no_vertices | ( |  | ) | `[virtual]`

| Reimplemented in Line, ReferenceLine, Triangle, ReferenceTriangle, Rectangle, ReferenceRectangle, Tetrahedron, ReferenceTetrahedron, Box, and ReferenceBox. Definition at line 4 of file Polygon.cpp. References p. Referenced by P0::compute_basis_functions(), and Bubble::compute_basis_functions().
    00004                            {
    00005   return p.size();
    00006 }

string Polygon::str | ( |  | ) | `[virtual]`

| Reimplemented in Line, ReferenceLine, Triangle, ReferenceTriangle, Rectangle, ReferenceRectangle, Tetrahedron, ReferenceTetrahedron, Box, and ReferenceBox. Definition at line 12 of file Polygon.cpp. Referenced by bernstein(), bernsteinv(), RaviartThomas::compute_basis_functions(), Nedelec::compute_basis_functions(), LagrangeFE::compute_basis_functions(), HermiteFE::compute_basis_functions(), CrouzeixRaviart::compute_basis_functions(), and Bubble::compute_basis_functions().
    00012                      {
    00013   //NOTE could add all points here.
    00014   return "Polygon";
    00015 }

GiNaC::ex Polygon::vertex | ( | int | i | ) | `[virtual]`

| Reimplemented in Line, ReferenceLine, Triangle, ReferenceTriangle, Rectangle, ReferenceRectangle, Tetrahedron, ReferenceTetrahedron, Box, and ReferenceBox. Definition at line 8 of file Polygon.cpp. References p. Referenced by bernstein(), P0::compute_basis_functions(), HermiteFE::compute_basis_functions(), and Bubble::compute_basis_functions().
    00008                               {
    00009   return p[i];
    00010 }

## Member Data Documentation

GiNaC::exvector Polygon::p

| Definition at line 41 of file Polygon.h. Referenced by Box::Box(), Box::integrate(), Tetrahedron::integrate(), Rectangle::integrate(), Triangle::integrate(), Line::integrate(), Box::line(), Tetrahedron::line(), Rectangle::line(), Triangle::line(), Line::Line(), no_vertices(), Rectangle::Rectangle(), ReferenceBox::ReferenceBox(), ReferenceLine::ReferenceLine(), ReferenceRectangle::ReferenceRectangle(), ReferenceTetrahedron::ReferenceTetrahedron(), ReferenceTriangle::ReferenceTriangle(), Box::repr(), Rectangle::repr(), Triangle::repr(), Tetrahedron::Tetrahedron(), Tetrahedron::triangle(), Triangle::Triangle(), Box::vertex(), Tetrahedron::vertex(), ReferenceRectangle::vertex(), Rectangle::vertex(), Triangle::vertex(), ReferenceLine::vertex(), Line::vertex(), and vertex().

string Polygon::subscript

| Definition at line 40 of file Polygon.h. Referenced by Box::Box(), Box::line(), Tetrahedron::line(), Rectangle::line(), Triangle::line(), Line::Line(), Rectangle::Rectangle(), ReferenceBox::ReferenceBox(), ReferenceLine::ReferenceLine(), ReferenceRectangle::ReferenceRectangle(), ReferenceTetrahedron::ReferenceTetrahedron(), ReferenceTriangle::ReferenceTriangle(), Line::repr(), Tetrahedron::Tetrahedron(), Tetrahedron::triangle(), and Triangle::Triangle().

The documentation for this class was generated from the following files:

- Polygon.h
- Polygon.cpp